# Note that this is NOT a relocatable package
%define ver      0.8
%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   /usr

Summary: Bluez firmware uploader
Name: bluez-bluefw
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/System
Vendor: Section 1, org.
Packager: Mitja Pufic <raveer@section-one.org>
Source: http://bluez.sourceforge.net/download/%{name}-%{ver}.tar.gz
BuildRoot: /var/tmp/%{name}-%{PACKAGE_VERSION}-root
URL: http://bluez.sourceforge.net
Docdir: %{prefix}/share/doc
%description
Bluez-bluefw is a firmware uploader for 3com pcmcia and Broadcom usb devices

%changelog

* Sun Dec 22 2002 Mitja Pufic <raveer@section-one.org>
- Initial RPM

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/sbin
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/share/doc
mkdir -p ${RPM_BUILD_ROOT}/etc/bluetooth/firmware
mkdir -p ${RPM_BUILD_ROOT}/etc/hotplug/usb
install -m 0755 bluefw $RPM_BUILD_ROOT%{prefix}/sbin/
install -m 0644 firmware/BCM2033-FW.bin $RPM_BUILD_ROOT/etc/bluetooth/firmware
install -m 0644 firmware/BCM2033-MD.hex $RPM_BUILD_ROOT/etc/bluetooth/firmware
install -m 0644 firmware/BCM-LEGAL.txt $RPM_BUILD_ROOT/etc/bluetooth/firmware
install -m 0755 hotplug/bluefw $RPM_BUILD_ROOT/etc/hotplug/usb
install -m 0644 hotplug/bluefw.usermap $RPM_BUILD_ROOT/etc/hotplug/usb

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%{prefix}/sbin/bluefw
/etc/bluetooth/*
/etc/hotplug/usb/*

%doc AUTHORS COPYING ChangeLog NEWS README
